Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.handlers
Class LogMessage

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.handlers.LogMessage

All Implemented Interfaces:
  Handler, java.io.Serializable

public class LogMessage
extends BasicHandler

This handler simply prints a custom message to the debug log.

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`LogMessage()`

Method Summary
`void` | `invoke(MessageContext context)` Invoke is called to do the actual work of the Handler object.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### LogMessage

    public LogMessage()

Method Detail

### invoke

    public void invoke(MessageContext context)

  Description copied from interface: `Handler`
  Invoke is called to do the actual work of the Handler object. If there is a fault during the processing of this method it is invoke's job to catch the exception and undo any partial work that has been completed. Once we leave 'invoke' if a fault is thrown, this classes 'onFault' method will be called. Invoke should rethrow any exceptions it catches, wrapped in an AxisFault.

  Parameters:
    `context` - the `MessageContext` to process with this `Handler`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.